Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1342851 - Review Request: xonsh - A general purpose, Python-ish shell
Summary: Review Request: xonsh - A general purpose, Python-ish shell
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mairi Dulaney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1202295 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-06 00:27 UTC by Luke Macken
Modified: 2016-09-20 02:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-18 18:39:51 UTC
Type: ---
Embargoed:
jdulaney: fedora-review+


Attachments (Terms of Use)

Description Luke Macken 2016-06-06 00:27:04 UTC
Spec URL: https://lmacken.fedorapeople.org/rpms/xonsh.spec
SRPM URL: https://lmacken.fedorapeople.org/rpms/xonsh-0.3.2-1.fc23.src.rpm
Description: xonsh is a Python-ish, BASHwards-compatible shell language and
command prompt. The language is a superset of Python 3.4 with 
additional shell primitives. xonsh (pronounced *conch*) is 
meant for the daily use of experts and novices alike.
Fedora Account System Username: lmacken,jdulaney

Comment 1 Mairi Dulaney 2016-06-06 00:32:38 UTC
Taking.

Comment 2 Mairi Dulaney 2016-06-06 00:34:05 UTC
*** Bug 1202295 has been marked as a duplicate of this bug. ***

Comment 3 Mairi Dulaney 2016-06-06 02:02:21 UTC
Okay, looks good,

rpmlint:

xonsh.noarch: W: no-manual-page-for-binary xonsh


Approved

Comment 4 Gwyn Ciesla 2016-06-06 17:46:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xonsh

Comment 5 Fedora Update System 2016-06-06 21:42:18 UTC
xonsh-0.3.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e9639b93

Comment 6 Fedora Update System 2016-06-06 21:42:25 UTC
xonsh-0.3.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8b0621de0

Comment 7 Fedora Update System 2016-06-06 21:42:29 UTC
xonsh-0.3.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d19409670

Comment 8 Fedora Update System 2016-06-07 18:54:08 UTC
xonsh-0.3.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d19409670

Comment 9 Fedora Update System 2016-06-08 02:23:48 UTC
xonsh-0.3.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5e9639b93

Comment 10 Fedora Update System 2016-06-08 02:24:23 UTC
xonsh-0.3.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8b0621de0

Comment 11 Fedora Update System 2016-06-18 18:39:49 UTC
xonsh-0.3.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-06-22 01:23:35 UTC
xonsh-0.3.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-06-22 01:28:11 UTC
xonsh-0.3.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.